
Foreman - Bug #5792

406 Not acceptable when I click 'Import Puppet classess'

05/19/2014 02:06 PM - Edson Manners

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.3.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Full trace

RestClient::NotAcceptable

406 Not Acceptable

lib/proxy_api/resource.rb:68:in `get'

lib/proxy_api/puppet.rb:9:in `environments'

app/services/puppet_class_importer.rb:121:in `actual_environments'

app/services/puppet_class_importer.rb:21:in `changes'

app/controllers/concerns/foreman/controller/environments.rb:10:in `import_environments'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

History

#1 - 05/19/2014 02:10 PM - Dominic Cleal

- Status changed from New to Need more information

This is reporting the HTTP error received from your smart proxy.  Check the log file on the proxy (usually /var/log/foreman-proxy/proxy.log) for a

possible cause.

#2 - 05/19/2014 02:21 PM - Edson Manners

- File puppet.conf added

Ah... I was stuck thinking that itt had something to do with the Apache server. Here are the two applicable lines from the proxy log:

[root@foreman individualhosts]# tail f /var/log/foreman-proxy/proxy.log

I, [2014-05-19T09:57:58.433096 #25830]  INFO - : Initializing from Puppet config file: /etc/puppet/puppet.conf

E, [2014-05-19T09:57:58.509187 #25830] ERROR -- : Failed to list puppet environments: undefined method `[]' for nil:NilClass

#3 - 05/19/2014 02:26 PM - Dominic Cleal

This looks like #4658, an incompatibility between old proxy versions and Puppet 3.5.  Please check you have a compatible version installed: 

http://theforeman.org/manuals/1.5/index.html#3.1.2PuppetCompatibility

It's OK to upgrade the proxy to 1.4 or 1.5 without updating Foreman itself, they're still compatible.

#4 - 05/19/2014 02:35 PM - Edson Manners

Ah. Upgrading to foreman-proxy-1.4.4-1.el6 definitely fixed it. Thanks. I'll lock my puppet upgrades in the future. You can close the ticket.

#5 - 05/19/2014 02:37 PM - Dominic Cleal

- Status changed from Need more information to Resolved

Good to hear, thanks.
